import React from 'react';
import { SVG } from 'primeobjects-ui-web-basic';
import { COLORS } from 'primeobjects-helper-util';
import { BubbleMenu } from '@tiptap/react';
import { isFunction, map, isArray } from 'lodash';
var HtmlEditorFloatHighlightToolbar = function (props) {
    var editor = props.editor;
    var colors = isArray(props.colors) && props.colors.length > 0 ? props.colors : [
        COLORS.RED['100'],
        COLORS.ORANGE['100'],
        COLORS.BLUE['100'],
        COLORS.GREEN['100'],
        COLORS.GRAY['100'],
    ];
    var onClickCreateNote = function () {
        if (isFunction(props.onClickCreateNote))
            props.onClickCreateNote();
    };
    var onApplyColor = function (color) {
        if (editor.isActive('hightlight', { color: color })) {
            editor.chain().focus().unsetHighlight();
        }
        else {
            editor.chain().focus().toggleHighlight({ color: color }).run();
        }
    };
    return React.createElement(BubbleMenu, { editor: editor, className: "menu-wrapper" },
        map(colors, function (color) {
            return React.createElement("div", { className: "menu", key: color },
                React.createElement("div", { onClick: function () { return onApplyColor(color); }, style: { backgroundColor: color }, className: "menu-color ".concat(editor.isActive('hightlight', { color: color }) ? 'active' : '') }));
        }),
        isFunction(props.onClickCreateNote) && React.createElement("div", { className: "menu border border-0 border-l flex", style: { marginLeft: 3, paddingLeft: 3 } },
            React.createElement("div", { onClick: onClickCreateNote, className: "menu-color", style: { width: 16, height: 16 } },
                React.createElement(SVG, { src: "/icons/platform/note.svg", style: { width: 18 } }))));
};
export default HtmlEditorFloatHighlightToolbar;
